#!/bin/bash
#
# Create CA Intermediate
# 
# 

# source this file to include the functions
. cfg/pki_funcs.sh

PARAM1=$1
PARAM2=$2
PARAM3=$3


usage() {
  echo
  echo "Generate a new CA Intermediate certificate"
  echo
  echo "This program will generate a new certificate authority (CA) intermediate"
  echo "It requires a CA certificate used to sign CA Intermediate"
  echo "Requires the file \"ca.pem\" that is used to sign the certificates"
  echo 
  echo "  usage:   gen_ca-i.sh  <Org URL>   [Serial #]"
  echo
  echo "  example: gen_ca-i.sh  skunkworks.acme.xyz \\"
  echo "                        10052  (optional) \\"
  echo
  exit 1
}


main() {
  # uses global variables: $PARAM1 $PARAM2 $PARAM3
  check_params
  ca-i_gen_pki 
}

main
